summaryrefslogtreecommitdiffstats
path: root/academic/tuxmath
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:57:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:22 +0200
commitf334d6acba797cac07b34bcb7e016ccf2267dbba (patch)
tree1ae769b2683c3f009c6c274ed28b989d347d773a /academic/tuxmath
parentd88e3d82a24aa2bf0e6f0aeb3579128f779bb687 (diff)
downloadslackbuilds-f334d6acba797cac07b34bcb7e016ccf2267dbba.tar.gz
slackbuilds-f334d6acba797cac07b34bcb7e016ccf2267dbba.tar.xz
academic/tuxmath: Added to 13.0 repository
Diffstat (limited to 'academic/tuxmath')
-rw-r--r--academic/tuxmath/README6
-rw-r--r--academic/tuxmath/doinst.sh4
-rw-r--r--academic/tuxmath/slack-desc19
-rw-r--r--academic/tuxmath/tuxmath.SlackBuild76
-rw-r--r--academic/tuxmath/tuxmath.info10
5 files changed, 115 insertions, 0 deletions
diff --git a/academic/tuxmath/README b/academic/tuxmath/README
new file mode 100644
index 0000000000..f279551872
--- /dev/null
+++ b/academic/tuxmath/README
@@ -0,0 +1,6 @@
+"Tux, of Math Command" (aka. tuxmath) is a math drill game starring Tux, the
+Linux Penguin. Lessons are included from simple number typing through addition,
+subtraction, multiplication, and division of positive and negative numbers.
+It is intended for kids ~4-10.
+
+Tuxmath requires SDL_Pango.
diff --git a/academic/tuxmath/doinst.sh b/academic/tuxmath/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/academic/tuxmath/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/academic/tuxmath/slack-desc b/academic/tuxmath/slack-desc
new file mode 100644
index 0000000000..2e19745173
--- /dev/null
+++ b/academic/tuxmath/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tuxmath: tuxmath (Tux of Math Command is a math game for kids)
+tuxmath:
+tuxmath: "Tux, of Math Command" is a math drill game starring Tux, the Linux
+tuxmath: Penguin. Lessons are included from simple number typing through
+tuxmath: addition, subtraction, multiplication, and division of positive and
+tuxmath: negative numbers. It is intended for kids ~4-10.
+tuxmath:
+tuxmath: Homepage: http://tux4kids.alioth.debian.org/
+tuxmath:
+tuxmath:
+tuxmath:
diff --git a/academic/tuxmath/tuxmath.SlackBuild b/academic/tuxmath/tuxmath.SlackBuild
new file mode 100644
index 0000000000..2915add179
--- /dev/null
+++ b/academic/tuxmath/tuxmath.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for tuxmath
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=tuxmath
+VERSION=${VERSION:-1.7.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_w_fonts-$VERSION
+tar xvf $CWD/${PRGNAM}_w_fonts-$VERSION.tar.gz
+cd ${PRGNAM}_w_fonts-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix .desktop.
+sed -i '/^##/d' $PRGNAM.desktop
+
+# Hmmmm...SDL_pango is an optional requirement with SDL_ttf as the fallback.
+# However, I can't get tuxmath to build without SDL_pango even by passing
+# --without-sdlpango option to configure. Oh well!!! :/
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-sdltest \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $PRGNAM.desktop $PKG/usr/share/applications
+install -m 0644 data/images/icons/$PRGNAM.svg $PKG/usr/share/pixmaps
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/tuxmath/tuxmath.info b/academic/tuxmath/tuxmath.info
new file mode 100644
index 0000000000..aefe5e205c
--- /dev/null
+++ b/academic/tuxmath/tuxmath.info
@@ -0,0 +1,10 @@
+PRGNAM="tuxmath"
+VERSION="1.7.2"
+HOMEPAGE="http://tux4kids.alioth.debian.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/tuxmath/tuxmath-source/TuxMath%201.7.2%20-%20Source/tuxmath_w_fonts-1.7.2.tar.gz"
+MD5SUM="8617c4eb3dcc203da02c150c7463327d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"